#include <stdlib.h>
#include <stdio.h>
#include <gtk/gtk.h>

int main( int argc, char *argv[] ) {
  GtkBuilder *monBuilder;
  GtkWidget *maFenetre;

  gtk_init( &argc, &argv );

  monBuilder = gtk_builder_new();

  gtk_builder_add_from_file( monBuilder, "ponytracker.glade", NULL);
  gtk_builder_connect_signals( monBuilder, NULL);

  maFenetre = GTK_WIDGET( gtk_builder_get_object( monBuilder, "fenetreprincipale"));

  gtk_widget_show_all (maFenetre);
  gtk_main();
  return 0;
}

void lancerLecture ()
{
  gtk_main_quit();
}

void fenetreSample ( int argc, char *argv[] )
{
  GtkBuilder *monBuilderSample;
  GtkWidget *maFenetreSample;

  gtk_init( &argc, &argv );

  monBuilderSample = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderSample, "ponytracker.glade", NULL);
  gtk_builder_connect_signals( monBuilderSample, NULL);

  maFenetreSample = GTK_WIDGET( gtk_builder_get_object( monBuilderSample, "ajoutsample"));

  gtk_widget_show_all (maFenetreSample);
}

void fenetreInstrument ( int argc, char *argv[] )
{
  GtkBuilder *monBuilderInstrument;
  GtkWidget *maFenetreInstrument;

  gtk_init( &argc, &argv );

  monBuilderInstrument = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderInstrument, "ponytracker.glade", NULL);
  gtk_builder_connect_signals( monBuilderInstrument, NULL);

  maFenetreInstrument = GTK_WIDGET( gtk_builder_get_object( monBuilderInstrument, "ajoutinstrument"));

  gtk_widget_show_all (maFenetreInstrument);
}

void fenetreMotif ( int argc, char *argv[] )
{
  GtkBuilder *monBuilderMotif;
  GtkWidget *maFenetreMotif;

  gtk_init( &argc, &argv );

  monBuilderMotif = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderMotif, "ponytracker.glade", NULL);
  gtk_builder_connect_signals( monBuilderMotif, NULL);

  maFenetreMotif = GTK_WIDGET( gtk_builder_get_object( monBuilderMotif, "ajoutmotif"));

  gtk_widget_show_all (maFenetreMotif);
}
